﻿using System;
using System.Text;
using System.Net;
using System.Net.Sockets;

namespace UDPClientConsole
{
    class client
    {
        static void Main(string[] args)
        {
            //This is the target device 
            //The IP and port must match your Spinneret or W5x00 device
            IPAddress ip; //= new IPAddress(new byte[] { 192, 168, 1, 130 });
            if(!IPAddress.TryParse(Properties.Settings.Default.remoteIp, out ip))
            {
                Console.WriteLine("The IP address contained in the app.config file is invalid!");
            }
            int port = Properties.Settings.Default.remotePort;

            Console.WriteLine("UDP Client Parameters");
            Console.WriteLine("Remote IP:\t{0}", Properties.Settings.Default.remoteIp);
            Console.WriteLine("Remote Port:\t{0}", Properties.Settings.Default.remotePort);
            Console.WriteLine("-----------------------------------------\r\n");

            IPEndPoint ipEndPoint = new IPEndPoint(ip, port);
            UdpClient udpClient = new UdpClient(port);

            string request = String.Empty;
            bool again = true;

            try
            {
                udpClient.Connect(ipEndPoint);

                while (again)
                {
                    Console.Write("Send: ");
                    request = Console.ReadLine();
                    if (request == "T")
                        request = @"According to the U.S. Treasury, the motto E pluribus unum was first used on 
U.S. coinage in 1795, when the reverse of the half-eagle ($5 gold) coin presented the main features of the Great 
Seal of the United States. E pluribus unum is inscribed on the Great Seal's scroll. The motto was added to 
certain silver coins in 1798, and soon appeared on all of the coins made out of precious metals (gold and silver). 
In 1834, it was dropped from most of the gold coins to mark the change in the standard fineness of the coins. In 1837, 
it was dropped from the silver coins, marking the era of the Revised Mint Code. An Act of February 12, 1873 made the 
inscription a requirement of law upon the coins of the United States. E pluribus unum appears on all coins currently 
being manufactured, including the Presidential dollars that started being produced in 2007, where it is inscribed on 
the edge along with 'In God We Trust' and the year and mint mark. After the Revolution, Rahway, New Jersey became the 
home of the first national mint to create a coin bearing the inscription E pluribus unum.";

                    Console.WriteLine();
                    Console.WriteLine(string.Format("Bytes Sent: {0}", request.Length.ToString()));
                    Console.WriteLine();

                    // Sends the message.
                    Byte[] sendBytes = Encoding.ASCII.GetBytes(request);
                    udpClient.Send(sendBytes, sendBytes.Length);
                }

                udpClient.Close();

            }
            catch (Exception e)
            {
                Console.WriteLine(e.ToString());
            }


        }
    }
}
